> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orova.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un agent

> Créer un nouvel agent IA

## Requête

```bash theme={null}
curl -X POST https://app.orova.ai/api/agents \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Support Agent",
    "llm_provider": "openai",
    "llm_model": "gpt-4o-mini",
    "tts_provider": "elevenlabs",
    "tts_voice_id": "VOICE_ID",
    "stt_provider": "deepgram",
    "system_prompt": "You are a helpful support agent...",
    "first_message": "Hi! How can I help you today?",
    "recording_enabled": true,
    "workspaceId": "WORKSPACE_ID"
  }'
```

## Paramètres

| Champ               | Type    | Requis | Description                                 |
| ------------------- | ------- | ------ | ------------------------------------------- |
| `name`              | string  | Oui    | Nom d'affichage de l'agent                  |
| `llm_provider`      | string  | Oui    | `openai`, `claude`, `azure`                 |
| `llm_model`         | string  | Oui    | Nom du modèle                               |
| `tts_provider`      | string  | Oui    | `elevenlabs`, `cartesia`, `azure`           |
| `tts_voice_id`      | string  | Non    | ID de la voix issue du fournisseur TTS      |
| `stt_provider`      | string  | Oui    | `deepgram`, `azure`, `elevenlabs`, `openai` |
| `system_prompt`     | string  | Non    | Instructions de l'agent                     |
| `first_message`     | string  | Non    | Message d'accueil                           |
| `recording_enabled` | boolean | Non    | Activer l'enregistrement des appels         |
| `ambience_enabled`  | boolean | Non    | Activer l'ambiance sonore d'arrière-plan    |
| `workspaceId`       | string  | Oui    | ID de l'espace de travail                   |

## Réponse

```json theme={null}
{
  "_id": "agent_id",
  "name": "Support Agent",
  "llm_provider": "openai",
  "llm_model": "gpt-4o-mini",
  "tts_provider": "elevenlabs",
  "stt_provider": "deepgram",
  "system_prompt": "You are a helpful support agent...",
  "first_message": "Hi! How can I help you today?",
  "recording_enabled": true,
  "workspaceId": "WORKSPACE_ID",
  "createdAt": "2025-01-01T00:00:00.000Z"
}
```
